ST_ForcePolygonCW
Prev | 8.5. Geometry Editors | Next

## Name

ST_ForcePolygonCW — Orients all exterior rings clockwise and all interior rings counter-clockwise.

## Synopsis

`geometry ST_ForcePolygonCW (` geometry geom `)`;

## Description

Forces (Multi)Polygons to use a clockwise orientation for their exterior ring, and a counter-clockwise orientation for their interior rings. Non-polygonal geometries are returned unchanged.

Availability: 2.4.0

This function supports 3d and will not drop the z-index.

This function supports M coordinates.

## See Also

ST_ForcePolygonCCW , ST_IsPolygonCCW , ST_IsPolygonCW

Prev | Up | Next
ST_ForceCollection | Home | ST_ForceSFS